GNU bug report logs - #32523
27.0.50; Emacs hangs when killing rectangle

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joseph Mingrone <jrm@HIDDEN>; merged with #3219, #4123, #9589, #13675, #15555, #18530, #22143, #24523, #30457, #40007; dated Sat, 25 Aug 2018 01:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 24 Aug 2020 18:45:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 14:45:16 2020
Received: from localhost ([127.0.0.1]:59237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAHT1-0002cW-L5
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 14:45:16 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:36621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jrm@HIDDEN>) id 1kAHSz-0002U2-8c
 for 32523 <at> debbugs.gnu.org; Mon, 24 Aug 2020 14:45:13 -0400
Received: by mail-qt1-f178.google.com with SMTP id t23so7010855qto.3
 for <32523 <at> debbugs.gnu.org>; Mon, 24 Aug 2020 11:45:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ftfl.ca; s=google;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=r0aCQf+zIA9P+7SJMbJa5EuKpR0gD8AJTBrTDR34tzM=;
 b=PxsUz/k0g2bg1Z/iNOyR1lxFxjB+NkIrPZ+WCAfHQ/IMMIaJ9dvPo5Np4Rf/g4U9Xu
 QFXJ0qe2mjlCWyC/W7lMmOV1mwYCdRK7IoRwG4h8/Y+FPS8/xIx/sKbgTGXmBTg1LMkv
 666xzmQAf19+6M2TdFnx/3Uj0tEUuWOyP8XG4=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=r0aCQf+zIA9P+7SJMbJa5EuKpR0gD8AJTBrTDR34tzM=;
 b=aPZEsE3sQV3ME97yq6uFWvV0qHCjL5MzRIH69+VkyC4d3enXsJ4LUS8DmFlDZNfMfW
 1LTY2ckVJixfQDwTQ7o8eA5Uddfd50CnJoDW0r4dr2IXKcTXdwtJHgU5LCkI+jW9TokR
 XNwwKpjYaGdBBcdgjoVOkMkDvSExSTu0u1Yi+psJ3gs1eHR0O2TWZPyVIob43GBS3Tuy
 YheGms7d5yHrN+f2NFriCZcyNregfO/xEtJ+bAMtpIFaF7TKXi06rsN1bgoh+2pxWPnc
 a9eSyNTIpLEWz57Hvsc6xsmTjfQ0LSdGg0gSL8uRZkKa2Fe9Qf8iE73c4osgziqErV+v
 6Nmw==
X-Gm-Message-State: AOAM533yw4eonvV4hmotFabMpylQmcTCgoVFV0dnrP6UNCURbQMdjVI+
 X/HTcgyeF7+DcarDAB2PTziom6t6yWwiHQ==
X-Google-Smtp-Source: ABdhPJzsWMHy1w2PkQaK4SaZh5FC4xsyJhjmnlk9+aarpre4Mjr8CIxpZ2qBQw0qagW8mVEYDT2xIQ==
X-Received: by 2002:ac8:7395:: with SMTP id t21mr5971890qtp.205.1598294703178; 
 Mon, 24 Aug 2020 11:45:03 -0700 (PDT)
Received: from phe.ftfl.ca.ftfl.ca
 (drmons0544w-142-177-158-229.dhcp-dynamic.fibreop.ns.bellaliant.net.
 [142.177.158.229])
 by smtp.gmail.com with ESMTPSA id t8sm6962322qtt.95.2020.08.24.11.45.01
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 24 Aug 2020 11:45:01 -0700 (PDT)
From: Joseph Mingrone <jrm@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
 <86zhxaoerj.fsf@HIDDEN>
 <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
 <83eeo0azfb.fsf@HIDDEN>
 <CADwFkmkYTPUQjcJrWuS_DBHJxv0PN4Q29mAyPqQRaPh-MPidtw@HIDDEN>
Date: Mon, 24 Aug 2020 15:44:59 -0300
In-Reply-To: <CADwFkmkYTPUQjcJrWuS_DBHJxv0PN4Q29mAyPqQRaPh-MPidtw@HIDDEN>
 (Stefan Kangas's message of "Fri, 21 Aug 2020 07:06:29 -0700")
Message-ID: <86a6yjj32s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32523
Cc: Eli Zaretskii <eliz@HIDDEN>, 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 2020-08-21 at 07:06, Stefan Kangas <stefan@HIDDEN> wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:

>>> > The rectangle does eventually get cut for me as well.  Ignoring speed,
>>> > the problem is that Emacs is unusable afterwards.  For example, if I go
>>> > away for an hour or so, then return, the Emacs process will still be
>>> > using something close to 100% CPU and trying to doing something simple,
>>> > like moving the point forward, may take minutes.

>>> Are you still seeing this behaviour?

>> I bet he does.  the problem with the slow responses after cutting the
>> rectangle is that Emacs performs redisplay each type the user types
>> some character.  The redisplay can be very small and optimized, but it
>> can also be much more thorough; for example, typing "M-x" typically
>> triggers a thorough redisplay.  Each time we need to perform a
>> non-trivial redisplay, the same problem with long lines hits again.

> Ah, so you interpret what he writes to mean that he leaves Emacs _in the
> same buffer_ and then sees these results?  Yes, that makes sense.  I
> somehow assumed he meant that this was persistent even after closing the
> problematic buffer, but he didn't say that explicitly.

> Asking the same questions here as in another bug report:

> Is there anything more we can/should do in this case short of rewriting
> the display engine?  Does it make sense to track this limitation in a
> bug report?

> etc/PROBLEMS says:

> *** Editing files with very long lines is slow.

> For example, simply moving through a file that contains hundreds of
> thousands of characters per line is slow, and consumes a lot of CPU.
> This is a known limitation of Emacs with no solution at this time.

> Best regards,
> Stefan Kangas

Hello Stefan,

I just tested the recipe in GNU Emacs 28.0.50 (build 1,
amd64-portbld-freebsd12.1, GTK+ Version 3.24.20, cairo version 1.16.0)
and it's still an issue in that Emacs is difficult to use after
performing the rectangle kill.  However, after the operation completes
*and I kill the buffer visiting the large file*, Emacs become responsive
again.  It's been a long time, but I recall that this wasn't the case in
the past.  I recall having to kill and restart Emacs before it became
usable again.

Joe




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.
Merged 3219 4123 9589 13675 15555 18530 22143 24523 30457 32523 40007. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530 24523 30457 32523 40007. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 21 Aug 2020 14:29:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 10:29:05 2020
Received: from localhost ([127.0.0.1]:47973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k982T-0005vp-9b
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 10:29:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k982Q-0005vK-82
 for 32523 <at> debbugs.gnu.org; Fri, 21 Aug 2020 10:29:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44345)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k982K-0007DX-9p; Fri, 21 Aug 2020 10:28:56 -0400
Received: from [176.228.60.248] (port=2481 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k982J-0000qK-B4; Fri, 21 Aug 2020 10:28:55 -0400
Date: Fri, 21 Aug 2020 17:28:50 +0300
Message-Id: <83a6yoax99.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkYTPUQjcJrWuS_DBHJxv0PN4Q29mAyPqQRaPh-MPidtw@HIDDEN>
 (message from Stefan Kangas on Fri, 21 Aug 2020 07:06:29 -0700)
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
 <86zhxaoerj.fsf@HIDDEN>
 <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
 <83eeo0azfb.fsf@HIDDEN>
 <CADwFkmkYTPUQjcJrWuS_DBHJxv0PN4Q29mAyPqQRaPh-MPidtw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32523
Cc: jrm@HIDDEN, 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 21 Aug 2020 07:06:29 -0700
> Cc: jrm@HIDDEN, 32523 <at> debbugs.gnu.org
> 
> Is there anything more we can/should do in this case short of rewriting
> the display engine?  Does it make sense to track this limitation in a
> bug report?

I answered this in bug#22143.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 21 Aug 2020 14:06:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 10:06:38 2020
Received: from localhost ([127.0.0.1]:47917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k97gk-00033Y-Cd
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 10:06:38 -0400
Received: from mail-yb1-f194.google.com ([209.85.219.194]:34628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k97gg-00032t-VS
 for 32523 <at> debbugs.gnu.org; Fri, 21 Aug 2020 10:06:37 -0400
Received: by mail-yb1-f194.google.com with SMTP id u6so1106476ybf.1
 for <32523 <at> debbugs.gnu.org>; Fri, 21 Aug 2020 07:06:35 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=s7x3uE/ioQDpbazr4I+0Lv9N1C0qrYACJy/p5EsjdBI=;
 b=f/gyFouB79drcG4ctAHq0I1pT3Uc0XNLQ4RG1YtYFKq5BeQeis3NpTkUNdFjN61s8+
 jdE8TXNJcfpGN3EJBEtu3vB2c4zomnWLcd6iXXJkVHzE7YoIt/2LO+VL8UKjJKKU9vAv
 X/TWCyKcsdA1H9a/BsIqVDKpHHLlhpbgmuXduINezVkWWKyDwHd0OGsScWPEM5nvLy9r
 WhPYTiaqm0sld+LIv2pD++AGvBO92IBM5gVIZsdTndA0CGBpnWlBH+sgwfPqzcy9YEo9
 E201L/d9NGCHBMK8wCCUd++GH6nB1QJlYU4N0I+VMlfHfqROm/ZAmDGE7yE8zxN+vuLO
 bu9w==
X-Gm-Message-State: AOAM531IXQz+N2PZpS6nC3B8kcKrAom0EHHydbXo2nWPtJl/o8UNDrzM
 uXCUEzuxoEbgje7jVmHxz3O9fnHVdw862NwYJpagfryDC4/7JA==
X-Google-Smtp-Source: ABdhPJyjObuLxiRL8pAAcfzSyLJ5ljYNSVtO8lhd5jFE1yQ1vJiFdKAoXDxWvkkllJEnghdqOT04udCe75L1sWBUJS8=
X-Received: by 2002:a25:4ed7:: with SMTP id c206mr4098242ybb.129.1598018789634; 
 Fri, 21 Aug 2020 07:06:29 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 07:06:29 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83eeo0azfb.fsf@HIDDEN>
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
 <86zhxaoerj.fsf@HIDDEN>
 <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
 <83eeo0azfb.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 07:06:29 -0700
Message-ID: <CADwFkmkYTPUQjcJrWuS_DBHJxv0PN4Q29mAyPqQRaPh-MPidtw@HIDDEN>
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32523
Cc: jrm@HIDDEN, 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > The rectangle does eventually get cut for me as well.  Ignoring speed,
>> > the problem is that Emacs is unusable afterwards.  For example, if I go
>> > away for an hour or so, then return, the Emacs process will still be
>> > using something close to 100% CPU and trying to doing something simple,
>> > like moving the point forward, may take minutes.
>>
>> Are you still seeing this behaviour?
>
> I bet he does.  the problem with the slow responses after cutting the
> rectangle is that Emacs performs redisplay each type the user types
> some character.  The redisplay can be very small and optimized, but it
> can also be much more thorough; for example, typing "M-x" typically
> triggers a thorough redisplay.  Each time we need to perform a
> non-trivial redisplay, the same problem with long lines hits again.

Ah, so you interpret what he writes to mean that he leaves Emacs _in the
same buffer_ and then sees these results?  Yes, that makes sense.  I
somehow assumed he meant that this was persistent even after closing the
problematic buffer, but he didn't say that explicitly.

Asking the same questions here as in another bug report:

Is there anything more we can/should do in this case short of rewriting
the display engine?  Does it make sense to track this limitation in a
bug report?

etc/PROBLEMS says:

*** Editing files with very long lines is slow.

For example, simply moving through a file that contains hundreds of
thousands of characters per line is slow, and consumes a lot of CPU.
This is a known limitation of Emacs with no solution at this time.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 21 Aug 2020 13:42:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 09:42:14 2020
Received: from localhost ([127.0.0.1]:45444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k97J8-0007yn-Bx
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 09:42:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k97J6-0007yZ-Oy
 for 32523 <at> debbugs.gnu.org; Fri, 21 Aug 2020 09:42:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43530)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k97J0-000117-7Z; Fri, 21 Aug 2020 09:42:06 -0400
Received: from [176.228.60.248] (port=3470 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k97Iz-0007lE-Gt; Fri, 21 Aug 2020 09:42:06 -0400
Date: Fri, 21 Aug 2020 16:42:00 +0300
Message-Id: <83eeo0azfb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
 (message from Stefan Kangas on Fri, 21 Aug 2020 04:51:37 -0700)
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
 <86zhxaoerj.fsf@HIDDEN>
 <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32523
Cc: jrm@HIDDEN, 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 21 Aug 2020 04:51:37 -0700
> Cc: Eli Zaretskii <eliz@HIDDEN>, 32523 <at> debbugs.gnu.org
> 
> > The rectangle does eventually get cut for me as well.  Ignoring speed,
> > the problem is that Emacs is unusable afterwards.  For example, if I go
> > away for an hour or so, then return, the Emacs process will still be
> > using something close to 100% CPU and trying to doing something simple,
> > like moving the point forward, may take minutes.
> 
> Are you still seeing this behaviour?

I bet he does.  the problem with the slow responses after cutting the
rectangle is that Emacs performs redisplay each type the user types
some character.  The redisplay can be very small and optimized, but it
can also be much more thorough; for example, typing "M-x" typically
triggers a thorough redisplay.  Each time we need to perform a
non-trivial redisplay, the same problem with long lines hits again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 21 Aug 2020 11:51:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 07:51:45 2020
Received: from localhost ([127.0.0.1]:45222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k95aD-0008NT-8N
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:51:45 -0400
Received: from mail-yb1-f193.google.com ([209.85.219.193]:33099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k95aB-0008NC-OA
 for 32523 <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:51:44 -0400
Received: by mail-yb1-f193.google.com with SMTP id p191so905480ybg.0
 for <32523 <at> debbugs.gnu.org>; Fri, 21 Aug 2020 04:51:43 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=E+zlYM5137LP2skUrkDe3jclkfxGpV4RuUVPYWwwIqM=;
 b=FpcLITFeL1pbQA5Ao1tYuLCIyGJEpe1KHtYQ+TzhPrSAJjkHB5w8vRpDkbKn3As1Cf
 DcG6VJ3Nfx7/3afIOu2uXFkKwI6m2WlA9+req5wpMsk7PClCTwsmNBX0qcQsFSFkWUfs
 oyJoQHcr6PEwDCNzYcwM+z1ML/XGUTsHYhPFE37HjZpBIEhFfWLm9nVpZtuYzTortLuR
 4Om7satOoOB95DGquF5SF4UNpRkVStMGLU+g+Du/Wo7LVEITJ2tnhIAhc/X1ktxliZpj
 eXAfxJBdpU5G2Q+vliAVhFfHpV0Y6FRP9HV749gPlO+PkSpZ2iEnhXsPPvvD/vkmlLRc
 i9rg==
X-Gm-Message-State: AOAM531vj8BHBCw0y2ULGeO9fIyVsdGqdRSgYnYud7Dr0oZt6DEB8feF
 Q3slVkEYh2wQ8JOEuMF+T4d2LIz1SjfohqL47OHpsl0OG9YoRA==
X-Google-Smtp-Source: ABdhPJxP9D3kPZTPO01hSfDGjXwQIdnBCszXD3+qeH09I301vvLzgDq2cJY7IO8lNzmEqkxLwOW/OEDNJBq7k+PYhdM=
X-Received: by 2002:a25:4609:: with SMTP id t9mr3019500yba.231.1598010698347; 
 Fri, 21 Aug 2020 04:51:38 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 04:51:37 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <86zhxaoerj.fsf@HIDDEN> (Joseph Mingrone's message of "Sat, 
 25 Aug 2018 08:40:48 -0300")
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
 <86zhxaoerj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 04:51:37 -0700
Message-ID: <CADwFkm=VNeYPTHPLtnk6JaN8dHcPN6pm4yCM4fyPPxcCQjCdTw@HIDDEN>
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
To: Joseph Mingrone <jrm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32523
Cc: Eli Zaretskii <eliz@HIDDEN>, 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Joseph Mingrone <jrm@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Joseph Mingrone <jrm@HIDDEN>
>>> Date: Fri, 24 Aug 2018 21:59:48 -0300
>
>>> Here is a recipe to make Emacs (nearly) hang indefinitely.
>
>>> 1. emacs -Q
>
>>> 2. Visit the file found https://ftfl.ca/misc/big_file_hangs_emacs.txt
>
>>> 3. M-x toggle-truncate-lines
>
>>> 4. Use rectangle-mark-mode (C-x SPC) to mark the rectangle that starts
>>>    at the top left of the file (point 1), and includes the leading white
>>>    space, the line numbers, and the space after the line numbers (point
>>>    468848).
>
>>> 5. Kill the rectangle with C-x r k.
>
>>> For me, the Emacs process will continue to use 100% CPU and Emacs is
>>> almost completely unresponsive and has to be killed.  Some actions such
>>> as saving the file may complete, but only after a few minutes.
>
>> It doesn't hang, it just takes very long to finish that operation (3
>> min on my machine with an unoptimized build; should be something like
>> 1 to 1.5 min in an optimized build).
>
>> This belongs to the "Emacs is very slow with long lines" class of
>> problems: the file has 2900-character lines.  If this file will never
>> include any text, I suggest to visit it with
>> "M-x find-file-literally", then the problem of slowness will go away.
>
> Thanks for the `find-file-literally' tip.
>
> The rectangle does eventually get cut for me as well.  Ignoring speed,
> the problem is that Emacs is unusable afterwards.  For example, if I go
> away for an hour or so, then return, the Emacs process will still be
> using something close to 100% CPU and trying to doing something simple,
> like moving the point forward, may take minutes.

Are you still seeing this behaviour?

If yes, could you try to run the profiler to see what Emacs is spending
so much time doing?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 25 Aug 2018 11:41:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 25 07:41:01 2018
Received: from localhost ([127.0.0.1]:60245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ftWw8-0007fL-QQ
	for submit <at> debbugs.gnu.org; Sat, 25 Aug 2018 07:41:01 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:39202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jrm@HIDDEN>) id 1ftWw6-0007f3-1K
 for 32523 <at> debbugs.gnu.org; Sat, 25 Aug 2018 07:40:58 -0400
Received: by mail-pf1-f170.google.com with SMTP id j8-v6so5682928pff.6
 for <32523 <at> debbugs.gnu.org>; Sat, 25 Aug 2018 04:40:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ftfl.ca; s=google;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Qw1VxizjS5TA+1f1JSevI/TPHRc3qnmIm5iUQ9x7P9I=;
 b=ZneJndHCR/c7plW3aq/8+JW3qMSshgQzAD2SmgWKEttinkTIVxFd1Y9/gnCXLMahSA
 ih5lSO1HiFcpZb1gVhlLsc3FRC1bz2KeBVClwv6TyR13whnsqXaJSztc47oqfIAQ+0dA
 Om23GtgiO/nIjQ/JN9TzfM7DboqWcV7EAEhuw=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Qw1VxizjS5TA+1f1JSevI/TPHRc3qnmIm5iUQ9x7P9I=;
 b=gvR2ZjtPkX+bIGoMD41UjTHxUysBAZOdZaHYHRFZ8R4DzUsdgrcqALxHjFI+NJwZZN
 vNQ2c0/cP3zksbLaBbsSvGclI+UmfmOgD9Vbb3ypWI8qrNdJANI4Ef/Oddk3PUFE+h5J
 EV4rbt2z6AEJPswZdmiTZjVFtRG/6JoJ2rtQDmOfeNGOONGi2yW3x6a5lmhQJZ2j0Ezt
 0gGgrCElRewcEwVliQ9CElkce6rqbr04gGuUvbDOAcGmgW6/pP9hcPzqRJM2cgqsnDXV
 dWSHNagRbw0CKfHXv188ZaQZmNvC8KNY9N9JWX90WTP2NVfjH7CTHrPkSqRpqGzYnxVC
 Sw+A==
X-Gm-Message-State: APzg51Ba4oVFBWC0OZgkcx4eargwsTg+CKsQh/jYs+f+S//nzELgrJ/M
 rdZOO3C+cKMb4o+dM2/nBUJikHoLfw0=
X-Google-Smtp-Source: ANB0VdacI6mvXUELUcZ972ifFE/17f+pmbdmzJ+mOFzzCI0vtwb2MzSQ6M4vApf3UCYmhImg8Yv7VQ==
X-Received: by 2002:a62:6d02:: with SMTP id
 i2-v6mr6071970pfc.218.1535197251923; 
 Sat, 25 Aug 2018 04:40:51 -0700 (PDT)
Received: from phe.ftfl.ca.ftfl.ca
 (hlfxns017vw-142-68-132-248.dhcp-dynamic.fibreop.ns.bellaliant.net.
 [142.68.132.248])
 by smtp.gmail.com with ESMTPSA id g11-v6sm11937696pgi.90.2018.08.25.04.40.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 25 Aug 2018 04:40:51 -0700 (PDT)
From: Joseph Mingrone <jrm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
References: <868t4vp8fv.fsf@HIDDEN> <83zhxa7tng.fsf@HIDDEN>
Date: Sat, 25 Aug 2018 08:40:48 -0300
In-Reply-To: <83zhxa7tng.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Aug
 2018 11:11:15 +0300")
Message-ID: <86zhxaoerj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32523
Cc: 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Joseph Mingrone <jrm@HIDDEN>
>> Date: Fri, 24 Aug 2018 21:59:48 -0300

>> Here is a recipe to make Emacs (nearly) hang indefinitely.

>> 1. emacs -Q

>> 2. Visit the file found https://ftfl.ca/misc/big_file_hangs_emacs.txt

>> 3. M-x toggle-truncate-lines

>> 4. Use rectangle-mark-mode (C-x SPC) to mark the rectangle that starts
>>    at the top left of the file (point 1), and includes the leading white
>>    space, the line numbers, and the space after the line numbers (point
>>    468848).

>> 5. Kill the rectangle with C-x r k.

>> For me, the Emacs process will continue to use 100% CPU and Emacs is
>> almost completely unresponsive and has to be killed.  Some actions such
>> as saving the file may complete, but only after a few minutes.

> It doesn't hang, it just takes very long to finish that operation (3
> min on my machine with an unoptimized build; should be something like
> 1 to 1.5 min in an optimized build).

> This belongs to the "Emacs is very slow with long lines" class of
> problems: the file has 2900-character lines.  If this file will never
> include any text, I suggest to visit it with
> "M-x find-file-literally", then the problem of slowness will go away.

Thanks for the `find-file-literally' tip.

The rectangle does eventually get cut for me as well.  Ignoring speed,
the problem is that Emacs is unusable afterwards.  For example, if I go
away for an hour or so, then return, the Emacs process will still be
using something close to 100% CPU and trying to doing something simple,
like moving the point forward, may take minutes.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEVbCTpybDiFVxIrrVNqQMg7DW754FAluBQEBfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDU1
QjA5M0E3MjZDMzg4NTU3MTIyQkFENTM2QTQwQzgzQjBENkVGOUUACgkQNqQMg7DW
757z3g//V40wsRddnW2NVuxAsVs2Oqs1Xr6FHlBVczR1AZXBuBuXu8NJQJfMUHH8
6ozAgMhR/SlPJhsXKcz1DzcaqutDin3lvmW88FajP/eXIamYSWVbcLgvMNx4YsCi
DbdRxlvgoPfw98SCW5FqBfWaga2ewmllHbfUtgenT9PwRjqO7nlznAvSsxkp+X9Y
KhU+hJsaI8whAB1h4O+XLKvS/OT7zZO0ScLF0kB848qoK1cdlWPyKm0ciRTPDDvE
9aBXr1IaLFOtoLqKj73OCf0LaGjjljQbAWWFbC8hQYmo9SK16tjkmnlE20frqbwc
8vmy63bHTg8D+j/b92OjEw7Drpcv1gf75FimIN/Hl7zaQvkfLEBrCZ78kYF+wGdf
iYIzIcHfTUrgN5NzPSRaTWkS5v+3Q4pm//cttp98BjQCdDAVcFYPD7IJUnlUQWni
XW0emUgrrFbrQdSHnwkxaPT34mB09FpZ6IzWgHIHPtRyyewiik3oHQS0zk785hPx
rRmTe0NIH2fnO6H+TsGii6s6NLD3BCkOy67dXP0APeWGUD8rUbfFcZPMMXf3Ikni
gTS3lLypAz6jnzXtStxwRbsIoMVYiyGmTPLjQERFtESWEepxxSbM8ZYuKUmox3cH
bK0BUtTr0Zg1jB2luI+Xx+8OL5t0s9u1uD02pwFRpjHLzOkqsMU=
=bLdr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at 32523 <at> debbugs.gnu.org:


Received: (at 32523) by debbugs.gnu.org; 25 Aug 2018 08:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 25 04:11:38 2018
Received: from localhost ([127.0.0.1]:60202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ftTfV-0000Yg-Ud
	for submit <at> debbugs.gnu.org; Sat, 25 Aug 2018 04:11:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ftTfU-0000YU-3h
 for 32523 <at> debbugs.gnu.org; Sat, 25 Aug 2018 04:11:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ftTfL-0004Qt-Ng
 for 32523 <at> debbugs.gnu.org; Sat, 25 Aug 2018 04:11:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42133)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ftTfL-0004Px-JK; Sat, 25 Aug 2018 04:11:27 -0400
Received: from [176.228.60.248] (port=1399 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ftTfL-0002HH-5t; Sat, 25 Aug 2018 04:11:27 -0400
Date: Sat, 25 Aug 2018 11:11:15 +0300
Message-Id: <83zhxa7tng.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Joseph Mingrone <jrm@HIDDEN>
In-reply-to: <868t4vp8fv.fsf@HIDDEN> (message from Joseph Mingrone on
 Fri, 24 Aug 2018 21:59:48 -0300)
Subject: Re: bug#32523: 27.0.50; Emacs hangs when killing rectangle
References: <868t4vp8fv.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32523
Cc: 32523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Joseph Mingrone <jrm@HIDDEN>
> Date: Fri, 24 Aug 2018 21:59:48 -0300
> 
> Here is a recipe to make Emacs (nearly) hang indefinitely.
> 
> 1. emacs -Q
> 
> 2. Visit the file found https://ftfl.ca/misc/big_file_hangs_emacs.txt
> 
> 3. M-x toggle-truncate-lines
> 
> 4. Use rectangle-mark-mode (C-x SPC) to mark the rectangle that starts
>    at the top left of the file (point 1), and includes the leading white
>    space, the line numbers, and the space after the line numbers (point
>    468848).
> 
> 5. Kill the rectangle with C-x r k.
> 
> For me, the Emacs process will continue to use 100% CPU and Emacs is
> almost completely unresponsive and has to be killed.  Some actions such
> as saving the file may complete, but only after a few minutes.

It doesn't hang, it just takes very long to finish that operation (3
min on my machine with an unoptimized build; should be something like
1 to 1.5 min in an optimized build).

This belongs to the "Emacs is very slow with long lines" class of
problems: the file has 2900-character lines.  If this file will never
include any text, I suggest to visit it with
"M-x find-file-literally", then the problem of slowness will go away.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2018 01:00:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 24 21:00:08 2018
Received: from localhost ([127.0.0.1]:60094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ftMvw-00012h-8j
	for submit <at> debbugs.gnu.org; Fri, 24 Aug 2018 21:00:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jrm@HIDDEN>) id 1ftMvt-00010l-Nj
 for submit <at> debbugs.gnu.org; Fri, 24 Aug 2018 21:00:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jrm@HIDDEN>) id 1ftMvn-000811-EF
 for submit <at> debbugs.gnu.org; Fri, 24 Aug 2018 21:00:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32912)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jrm@HIDDEN>) id 1ftMvn-0007zv-9y
 for submit <at> debbugs.gnu.org; Fri, 24 Aug 2018 20:59:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37176)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <jrm@HIDDEN>)
 id 1ftMvl-0003R2-Vm
 for bug-gnu-emacs@HIDDEN; Fri, 24 Aug 2018 20:59:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jrm@HIDDEN>) id 1ftMvh-0007so-2w
 for bug-gnu-emacs@HIDDEN; Fri, 24 Aug 2018 20:59:57 -0400
Received: from mail-pg1-x52d.google.com ([2607:f8b0:4864:20::52d]:32822)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jrm@HIDDEN>) id 1ftMvg-0007rz-Oo
 for bug-gnu-emacs@HIDDEN; Fri, 24 Aug 2018 20:59:53 -0400
Received: by mail-pg1-x52d.google.com with SMTP id t14-v6so5017154pgf.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Aug 2018 17:59:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ftfl.ca; s=google;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=W4uhL8BcTNBmLDF4mnRgnXgeuDYXVfGz3g+4wAM/1s0=;
 b=gt8mMGEnhpflYoLv5wXmBaVxwZDrxdkAM7YncWjxnobSDVQ2x7l+ZTtGsBmNbbwPtP
 UJAqJ9zX925388TZ8CX6uiKv6ApbjjFkhtXUjVZF3p0KTprpQ4gwYHhiGpqGf3v2+FM4
 UXma+kFDPDN/vQUxZVpC9PEUVrJZ+Nuvdjsg4=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=W4uhL8BcTNBmLDF4mnRgnXgeuDYXVfGz3g+4wAM/1s0=;
 b=SQEFsv6DEVuyatsGqXKCX+vtPYTVxmA3uF1+lq2QeYzEOvE52DMjiUhm7yuS6yBpFn
 OeyNQCvSlE2Wh/udk6bF11mmEMrDHt40iacbnMXbn+Z0T/+p2Fo0cSeiZRuaESF9klqi
 tVxHhCPAFa9k4M9+tXpmkCAAWeMYUhdTcdX9xiJICLv9UMzxran1aB/CFUD9o50Ac655
 2b3IfZUe2nXHoPZ0Bm1b7ME04MBlrA2F9C+lTNvduor/vpSuMbbEKvZuX6j2/7Gp0ZAa
 PMg2ZvcAN0tpnxwhLklfJFFmIwBTLcm/q4l8S0Ddr6xrnwp0D6stFqDADcLFJ50YQyXX
 5nfg==
X-Gm-Message-State: APzg51BdrNXF1f0fvU0mfmYoTu/zLdCdU+G2Qte4ynUgqFASrvPq/ibP
 BayVLwRgbSYnoWpD8gxd9FeiDY/3+Uc=
X-Google-Smtp-Source: ANB0VdaUjMfUdd3YKQ46B+uxTnHmNLU19EEVNR04B0IZr/7s07JBOEDRUv/Re3CDPI6SNPv1Ky4RJg==
X-Received: by 2002:a62:1815:: with SMTP id
 21-v6mr4087802pfy.227.1535158791056; 
 Fri, 24 Aug 2018 17:59:51 -0700 (PDT)
Received: from phe.ftfl.ca.ftfl.ca
 (hlfxns017vw-142-68-132-248.dhcp-dynamic.fibreop.ns.bellaliant.net.
 [142.68.132.248])
 by smtp.gmail.com with ESMTPSA id v8-v6sm11393064pff.120.2018.08.24.17.59.49
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 24 Aug 2018 17:59:50 -0700 (PDT)
From: Joseph Mingrone <jrm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Emacs hangs when killing rectangle
Date: Fri, 24 Aug 2018 21:59:48 -0300
Message-ID: <868t4vp8fv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

--=-=-=
Content-Type: text/plain

Here is a recipe to make Emacs (nearly) hang indefinitely.

1. emacs -Q

2. Visit the file found https://ftfl.ca/misc/big_file_hangs_emacs.txt

3. M-x toggle-truncate-lines

4. Use rectangle-mark-mode (C-x SPC) to mark the rectangle that starts
   at the top left of the file (point 1), and includes the leading white
   space, the line numbers, and the space after the line numbers (point
   468848).

5. Kill the rectangle with C-x r k.

For me, the Emacs process will continue to use 100% CPU and Emacs is
almost completely unresponsive and has to be killed.  Some actions such
as saving the file may complete, but only after a few minutes.

This is with a recent commit (eb787d7) on the master branch.

In GNU Emacs 27.0.50 (build 1, amd64-portbld-freebsd11.2, GTK+ Version 3.22.29)
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --disable-build-details --localstatedir=/var
 --with-gameuser=games:games --without-libsystemd --without-mini-gmp
 --with-wide-int=no --with-x --enable-acl --without-dbus --without-gconf
 --with-gnutls --without-gsettings --with-json --with-lcms2
 --with-m17n-flt --with-mailutils --with-modules --with-libotf
 --with-toolkit-scroll-bars --with-threads --with-xft --with-xim
 --with-xml2 --without-xwidgets --with-file-notification=kqueue
 --with-sound=oss --with-x-toolkit=gtk3 --without-cairo --with-gif
 --with-jpeg --with-imagemagick --with-png --with-rsvg --with-tiff
 --with-xpm --x-libraries=/usr/local/lib --x-includes=/usr/local/include
 --prefix=/usr/local --mandir=/usr/local/man --disable-silent-rules
 --infodir=/usr/local/share/emacs/info/
 --build=amd64-portbld-freebsd11.2 'CFLAGS=-O2 -pipe -fstack-protector
 -isystem /usr/local/include -fno-strict-aliasing' 'CPPFLAGS=-isystem
 /usr/local/include' 'LDFLAGS= -fstack-protector -L/usr/local/lib''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND NOTIFY ACL GNUTLS LIBXML2
FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 MODULES
THREADS JSON LCMS2 GMP

Important settings:
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
easymenu mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue lcms2
dynamic-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 94849 6162)
 (symbols 48 20212 1)
 (strings 32 28576 1649)
 (string-bytes 1 752582)
 (vectors 16 14291)
 (vector-slots 8 505822 8998)
 (floats 8 47 70)
 (intervals 56 253 0)
 (buffers 992 11))

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEVbCTpybDiFVxIrrVNqQMg7DW754FAluAqgRfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDU1
QjA5M0E3MjZDMzg4NTU3MTIyQkFENTM2QTQwQzgzQjBENkVGOUUACgkQNqQMg7DW
756lpRAAozdfCQ2HyNXf+mEj1Hb1VpfYI9zuNxAfQD3g75LZuagWWDfM0agfgqbA
qfhnGw/3hW4K0fFzcgxIcmbmPXHXb3S9nBxGXu/q8fCGDEYCAdmUbrnW8SAUmJtK
yyu+hqN0ZXMKNInGKALClCQIfnmkWeMYMcrdl5TghcLxBk9ZxQt/j2NR5F7KqB3g
df0dEeLsRoCMwcILyRdcBI2IcELIGmdSS3/ge2p9ecRB4+rpLd+w+EY1yFLYpMDj
vlZG1bl8bfRJWZIJFo+9y0rb+RQH7utHq3I53GAWWu2FbkqL/6IWv/S4SVkPU2rD
XNnPw+uhwXqC+r/aia/yFJucGiQ3Zh5xOmQK6SuJ3UkTQVj8g6e+7qWvlveKnHyC
1Uhne4302u+SY+Vgbk1z9NMGjaIr4yAQcncaotOSnclgLfZeq+1DGhSruIHIhaTn
DNL4/dayfx1eygjFpezvfmAc1IqAPGFXtOSjsbG4or1lh1u7QrjDFqdkbeSbDpML
IUdygIo0mV8ZQilUmPk1Zl68ba2IiwoNXE0FUHPDb0AzxZgTc9zVrlf8mH7qLa9q
aBonzTas+BtagU15oJ7AYSuHM+MvhHipBFgry4tg++mFbD+SopiCHgeveNPafcYC
s4BW++s4wxLDiM2yzF3s5bAfean7XPA8BpnRIs2dcLiIWRzTyJQ=
=R+YC
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Joseph Mingrone <jrm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32523; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 24 Aug 2020 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.